Bulk install packages
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/epm/packages/_bulk
Auth
Install multiple packages from the Elastic Package Registry in a single request.
-
Privileges
integrations-all
and
fleet-agent-policies-all
-
prerelease
boolean
-
When true, allow installing prerelease versions
-
A required header to protect against CSRF attacks
-
allow_outdated_version
boolean · default: false
-
When true, allow installing a version older than the latest available. Bypasses only the out-of-date version check.
-
force
boolean · default: false
-
packages
union anyOf[] · min items: 1 · max items: 1000
required
-
Any of:
-
items
union anyOf[] · max items: 10000
required
-
Any of:
-
result
object
required
-
-
assets
union anyOf[] · max items: 10000
-
Any of:
-
type
union enum | string
required
-
Values:
dashboard
lens
visualization
search
index-pattern
map
ml-module
security-rule
csp-rule-template
osquery-pack-asset
osquery-saved-query
tag
-
customDataStreamOriginDataset
string
-
customDataStreamOriginType
string
-
type
enum
required
-
Values:
index
index_template
component_template
ingest_pipeline
ilm_policy
data_stream_ilm_policy
transform
ml_model
knowledge_base
esql_view
-
installType
string
required
-
status
enum
-
Values:
installed
already_installed
-
error
union anyOf
-
Any of:
string
or
object
-
statusCode
number
required
-
attributes
object
required
Thank you for your feedback.